Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234571 (Bio-ASN1-Entrez) - Review Request: perl-Bio-ASN1-EntrezGene - Regular expression-based Perl Parser for NCBI Entrez Gene
Summary: Review Request: perl-Bio-ASN1-EntrezGene - Regular expression-based Perl Pars...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: Bio-ASN1-Entrez
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-bioperl
TreeView+ depends on / blocked
 
Reported: 2007-03-30 07:38 UTC by Alex Lancaster
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 23:01:31 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-30 07:38:42 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-perl-Bio-ASN1-EntrezGene.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-Bio-ASN1-EntrezGene-1.091-1.src.rpm
Description: 
Bio::ASN1::EntrezGene is a regular expression-based Perl Parser for NCBI
Entrez Gene genome databases
(http://www.ncbi.nih.gov/entrez/query.fcgi?db=gene). It parses an ASN.1-
formatted Entrez Gene record and returns a data structure that contains all
data items from the gene record.

The tests are disabled because this package has a circular BuildRequires with perl-bioperl (also in packaging) and also has an install-time Requires dependency with perl-bioperl.

Comment 1 Alex Lancaster 2007-03-30 07:39:44 UTC
Correct spec URL:
http://allele5.biol.berkeley.edu/~alex/fedora/perl-Bio-ASN1-EntrezGene.spec

Comment 2 Alex Lancaster 2007-03-30 07:40:51 UTC
License from README:

Written and maintained by Dr. Mingyi Liu <mingyi.liu@gpc-biotech.com>.
Copyright (c) 2005 Mingyi Liu, GPC Biotech, Altana Research Institute.
All rights reserved.

This program is free software - you can redistribute it and/or modify
it under the same terms as Perl itself.

Comment 3 Chris Weyl 2007-03-31 15:51:18 UTC
Before I launch into a full review,  a couple comments.

A stylistic comment -- if you use

    %setup -q -n Bio-ASN1-EntrezGene-%{version}

vs  %setup -q -n Bio-ASN1-EntrezGene-1.09

in %prep, you won't have to manually change the version in two places whenever
a new version is released.  (Not that this seems to happen frequently, but...)

There appears to be an examples directory, why not include it? :)

Comment 4 Parag AN(पराग) 2007-04-02 09:48:10 UTC
So its upstream mistake to tar Bio-ASN1-EntrezGene-1.09 as
Bio-ASN1-EntreZGene-1.091.tar.gz

Comment 5 Parag AN(पराग) 2007-04-02 09:50:47 UTC
Sorry Chris for picking this for review as I want to review perl-bioperl I need
this to be reviewed.

Comment 6 Parag AN(पराग) 2007-04-02 09:51:36 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fabb888e03435007e08050def1aed0ac  Bio-ASN1-EntrezGene-1.091.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test disabled for circular BR on perl-bioperl
+ Provides: perl(Bio::ASN1::EntrezGene) = 1.09
perl(Bio::ASN1::EntrezGene::Indexer) = 1.09 perl(Bio::ASN1::Sequence) = 1.09
perl(Bio::ASN1::Sequence::Indexer) = 1.09


APPROVED.


Comment 7 Alex Lancaster 2007-04-02 09:52:31 UTC
1. As noted by Parag, upstream made a mistake.
2. I added examples subdirectory.


Spec URL:
http://allele5.biol.berkeley.edu/~alex/fedora/perl-perl-Bio-ASN1-EntrezGene.spec
SRPM URL:
http://allele5.biol.berkeley.edu/~alex/fedora/perl-Bio-ASN1-EntrezGene-1.091-2.src.rpm

Comment 8 Parag AN(पराग) 2007-04-02 09:56:55 UTC
thanks for adding examples directory

Comment 9 Alex Lancaster 2007-04-02 10:04:11 UTC
New Package CVS Request
=======================
Package Name: perl-Bio-ASN1-EntrezGene
Short Description: Regular expression-based Perl Parser for NCBI Entrez Gene
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 10 Parag AN(पराग) 2007-04-02 10:06:40 UTC
Just had a look at new SRPM and it looks OK to me.
Re-Approving new package perl-Bio-ASN1-EntrezGene-1.091-2.src.rpm

Comment 11 Jens Petersen 2007-04-02 13:28:56 UTC
done

Comment 12 Alex Lancaster 2007-04-02 23:01:31 UTC
Builds fine in all branches.  Closing.

Comment 13 Michael Schwendt 2007-04-03 10:52:29 UTC
Can you please test new packages only in "devel" and build them for
the stable branches some time later?

This one has unresolved dependencies (for FC-5, FC-6 and devel).



Note You need to log in before you can comment on or make changes to this bug.